#include "BaseActivatableSkill.h"
#include "Net/UnrealNetwork.h"

void UBaseActivatableSkill::OnRep_ChargeableTimer() const
{

}

void UBaseActivatableSkill::Authority_OnIntroCompleted()
{

}

void UBaseActivatableSkill::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(UBaseActivatableSkill, _chargeableTimer);
}

UBaseActivatableSkill::UBaseActivatableSkill()
{

}
